export class DecodeStream extends BaseStream {
    constructor(maybeMinBufferLength: any);
    _rawMinBufferLength: any;
    pos: number;
    bufferLength: number;
    eof: boolean;
    buffer: Uint8Array<ArrayBuffer>;
    minBufferLength: number;
    get isEmpty(): boolean;
    ensureBuffer(requested: any): Uint8Array<ArrayBuffer>;
    getByte(): number;
    getBytes(length: any, decoderOptions?: null): Uint8Array<ArrayBuffer>;
    getImageData(length: any, decoderOptions: any): Promise<any>;
    makeSubStream(start: any, length: any, dict?: null): Stream;
    getBaseStreams(): any;
}
export class StreamsSequenceStream extends DecodeStream {
    constructor(streams: any, onError?: null);
    streams: any;
    _onError: any;
    readBlock(): void;
    getBaseStreams(): any[] | null;
}
import { BaseStream } from "./base_stream.js";
import { Stream } from "./stream.js";
